#
# spec file for package libsamplerate (Version 0.1.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           libsamplerate
BuildRequires:  pkgconfig
Summary:        A Sample Rate Converter Library
Version:        0.1.2
Release:        15.2
License:        GPL
Group:          System/Libraries
Source:         %{name}-%{version}.tar.bz2
URL:            http://www.mega-nerd.com/SRC/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Secret Rabbit Code (aka libsamplerate) is a Sample Rate Converter for
audio. One example of where such a thing would be useful is in
converting audio from the CD sample rate of 44.1kHz to the 48kHz sample
rate used by DAT players.

SRC is capable of arbitrary and time varying conversions; from
downsampling by a factor of 12 to upsampling by the same factor.  The
conversion ratio can also vary with time for speeding up and slowing
down effects.



Authors:
--------
    Erik de Castro Lopo <erikd@mega-nerd.com>

%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          System/Libraries
Requires:       libsamplerate glibc-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Erik de Castro Lopo <erikd@mega-nerd.com>

%prep
%setup
autoreconf --force --install
%{?suse_update_config:%{suse_update_config -f}}

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix} --libdir=%{_libdir} --mandir=%{_mandir}
make

%install
make DESTDIR="$RPM_BUILD_ROOT" install
# remove example binaries
rm -f $RPM_BUILD_ROOT%{_bindir}/*

%post
%run_ldconfig

%postun
%run_ldconfig

%clean
test "$RPM_BUILD_ROOT" != "/" -a -d "$RPM_BUILD_ROOT" && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL doc
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc

%changelog -n libsamplerate
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 21 2005 - tiwai@suse.de
- updated to version 0.1.2.
* Thu Aug 05 2004 - tiwai@suse.de
- updated to version 0.1.1.
* Tue Jan 13 2004 - tiwai@suse.de
- build as non-root.
* Fri Jun 06 2003 - tiwai@suse.de
- updated to version 0.0.15.
- fixed the file list.
* Thu Mar 27 2003 - tiwai@suse.de
- added the missing src_set_ratio in version list.
* Fri Jan 17 2003 - tiwai@suse.de
- added %%run_ldconfig to %%post.
* Thu Jan 16 2003 - tiwai@suse.de
- initial version: 0.0.14.
